Bug 490687 - Add clustered persistence tests to stores automated test suite
Add clustered persistence tests to stores automated test suite
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Kim van der Riet
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 12:37 EDT by Gordon Sim
Modified: 2015-11-15 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-03-17 12:37:16 EDT
We need to have some automated tests that cover the combined use of durability and clustering.
Comment 2 Kim van der Riet 2009-12-14 14:49:31 EST
This has been accomplished over some time. Currently there are both c++ and python client tests for persistent clusters. These tests are the identical tests run by qpid clustering, but by defining a store environment variable, these tests load the store and switch the queue and message declarations to persistent. Several of the python tests are store-only tests (which mean that when no store is loaded, they are ignored).
Comment 3 Justin Ross 2011-06-28 15:02:42 EDT
This issue tracks a long-term development task.  Should it remain open?
Comment 4 Gordon Sim 2011-06-28 15:09:06 EDT
I would close it.

Note You need to log in before you can comment on or make changes to this bug.